// priority: 0

ServerEvents.recipes(event => {

    event.remove({ output: 'strainers:wooden_strainer'})
    event.remove({ input: 'minecraft:raw_iron', output: 'minecraft:iron_ingot', type: 'minecraft:smelting'})
    event.remove({ input: 'minecraft:raw_iron', output: 'minecraft:iron_ingot', type: 'minecraft:blasting'})
    event.remove({ output: 'immersiveengineering:dust_iron', type: 'immersiveengineering:hammer_crushing'})
    event.remove({ type: 'strainers:strainer'})
    event.remove({ output: '#exnihilosequentia:pieces'})

    event.shaped('strainers:wooden_strainer', [
        'SFS',
        'SFS',
        'CCC'
    ], {
        S: 'silentgear:stone_rod',
        F: 'strainers:flint_mesh',
        C: 'minecraft:smooth_stone'
    })

    event.smelting('3x minecraft:iron_nugget', 'minecraft:raw_iron', 0.7)
    event.blasting('3x minecraft:iron_nugget', 'minecraft:raw_iron', 0.7)

    event.recipes.strainers.strainer('minecraft:cobblestone', 'exnihilosequentia:iron_pieces', 0.125, 0.1, 80, 1, 'minecraft:water')
    event.recipes.strainers.strainer('minecraft:cobblestone', 'mysticalagriculture:prosperity_shard', 0.1, 0.1, 80, 1, 'minecraft:lava')
})